// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// InterfaceTypes.h
//
// $Id: InterfaceTypes.h,v 1.5 2002/01/03 00:22:29 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __InterfaceTypes__
#define __InterfaceTypes__

#include <gtk--/widget.h>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

class InterfaceTypes
{
	// Constants
	public:
		enum {
			TARGET_STRING,
			TARGET_ROWNUMS,
			NUM_TARGETS
		};

		const static GtkTargetEntry s_aTargetTableAll[NUM_TARGETS] = {
			{ "STRING", GTK_TARGET_SAME_APP, TARGET_STRING },
			{ "ROWNUMS", GTK_TARGET_SAME_APP, TARGET_ROWNUMS }
		};
		
		const static GtkTargetEntry s_aTargetTableStrings[1] = {
			{ "STRING", GTK_TARGET_SAME_APP, TARGET_STRING }
		};
		
		const static GtkTargetEntry s_aTargetTableRownums[1] = {
			{ "ROWNUMS", GTK_TARGET_SAME_APP, TARGET_ROWNUMS }
		};
		
	// Types
	// Variables
	// Methods
	/*
	public:
		InterfaceTypes();
		~InterfaceTypes();
	*/
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif 

//------------------------------------------------------------------------------
