// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// MWStateLogo.cpp
//
// $Id: MWStateLogo.cpp,v 1.1 2002/01/29 02:40:29 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include <config.h>

#include "MWStateLogo.h"

#include <gtk--/style.h>

#include "WidgetMsgWin.h"

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

MWStateLogo::MWStateLogo(WidgetMsgWin* pParent) :
	MWState(pParent)
{

}

//------------------------------------------------------------------------------

MWStateLogo::~MWStateLogo()
{

}

//------------------------------------------------------------------------------

void
MWStateLogo::Draw(Gdk_Pixmap* pPixmap)
{
	std::string s;
	s = PACKAGE " v" VERSION;
	DrawCenteredString(pPixmap, m_pParent->get_style()->get_black_gc(), s);
}

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

//------------------------------------------------------------------------------
