// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Util.h
//
// $Id: Util.h,v 1.8 2002/01/03 00:22:29 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __Util__
#define __Util__

#include <string>
#include <sys/types.h>

namespace xtunes {

//------------------------------------------------------------------------------

class Util
{
	// Constants
	private:
		static const long s_nGiga;
		static const long s_nMega;
		static const long s_nKilo;
	// Types
	// Variables
	private:
		static int s_nSeed;
		
	// Methods
	public:
		static std::string GetTimeStr(int nSecondsIn);
		static std::string GetTimeStr(int nMinutes, int nSeconds);

		static std::string GetFileSizeStr(off_t nFileSize);
		
		static int Random(int nMax);

		// static void Eject();
};

//------------------------------------------------------------------------------

}

#endif

//------------------------------------------------------------------------------
