// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// PlayerInfo.cpp
//
// $Id: PlayerInfo.cpp,v 1.3 2002/01/27 02:12:49 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include "PlayerInfo.h"

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

PlayerInfo::PlayerInfo() :
	going(0),
	num_frames(0),
	eof(0),
	jump_to_time(0),
	eq_active(0),
	songtime(0),
	tpf(0.0),
	output_audio(FALSE),
	first_frame(FALSE),
	filesize(0),
	resolution(0)
{

}

//------------------------------------------------------------------------------

PlayerInfo::~PlayerInfo()
{

}

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

//------------------------------------------------------------------------------
